/////////////
// GLOBALS //
/////////////

//////////////
// TYPEDEFS //
//////////////
struct VertexInputType
{
    float4 pos : POSITION0;
    float4 col : COLOR0;
    float2 tex : TEXCOORD0;
};

struct PixelInputType
{
    float4 pos : SV_POSITION;
	float4 col : COLOR0;
    float2 tex : TEXCOORD0;
};


////////////////////////////////////////////////////////////////////////////////
// Vertex Shader
////////////////////////////////////////////////////////////////////////////////
PixelInputType VSMain(VertexInputType input)
{
    PixelInputType output;
    
	// Change the position vector to be 4 units for proper matrix calculations.
    input.pos.w = 1.0f;

	// Calculate the position of the vertex against the world, view, and projection matrices.
	output.pos = input.pos;
    
	// Store the texture coordinates for the pixel shader.
	output.tex = input.tex;
	output.col = input.col;
    
    return output;
}